Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class ClusterAttributes

    java.lang.Object
      com.sun.messaging.jms.management.server.ClusterAttributes

    public class ClusterAttributes

extends java.lang.Object

Class containing information on cluster attributes.

Field Summary
`static java.lang.String` | `CLUSTER_ID` Cluster ID
`static java.lang.String` | `CONFIG_FILE_URL` Cluster config file URL
`static java.lang.String` | `HIGHLY_AVAILABLE` Is cluster highly available ?
`static java.lang.String` | `LOCAL_BROKER_INFO` Local master broker info
`static java.lang.String` | `MASTER_BROKER_INFO` Cluster master broker info
`static java.lang.String` | `USE_SHARED_DATABASE_FOR_CONFIG_RECORD` Is cluster use shared db for config records instead of master broker ?

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONFIG_FILE_URL

    public static final java.lang.String CONFIG_FILE_URL

  Cluster config file URL

  See Also:
    Constant Field Values

### CLUSTER_ID

    public static final java.lang.String CLUSTER_ID

  Cluster ID

  See Also:
    Constant Field Values

### HIGHLY_AVAILABLE

    public static final java.lang.String HIGHLY_AVAILABLE

  Is cluster highly available ?

  See Also:
    Constant Field Values

### USE_SHARED_DATABASE_FOR_CONFIG_RECORD

    public static final java.lang.String USE_SHARED_DATABASE_FOR_CONFIG_RECORD

  Is cluster use shared db for config records instead of master broker ?

  See Also:
    Constant Field Values

### LOCAL_BROKER_INFO

    public static final java.lang.String LOCAL_BROKER_INFO

  Local master broker info

  See Also:
    Constant Field Values

### MASTER_BROKER_INFO

    public static final java.lang.String MASTER_BROKER_INFO

  Cluster master broker info

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.